Mailinglist Archive: opensuse-buildservice (80 mails)

< Previous Next >
Re: [opensuse-buildservice] Recently added dependency liblzo2.so.2 breaks cross-distro compatibility of appimages
05.11.2019, 13:10, "Neal Gompa" <ngompa13@xxxxxxxxx>:
On Tue, Nov 5, 2019 at 5:04 AM Andrey Ponomarenko
<andrewponomarenko@xxxxxxxxx> wrote:
 Hello,

 My appimage is not able to start on old systems like Ubuntu 12.04 after
latest rebuilding by OBS due to introduced dependency liblzo2.so.2:
https://download.opensuse.org/repositories/home:/linuxbuild/AppImage/

 Could you please remove this dependency to revert cross-distro
compatibility?

 https://github.com/openSUSE/open-build-service/issues/8630

The only distributions from that timeframe still actively supported
are RHEL/CentOS 6 and SLE 11 (for another year). Both have this
library in their base package set. Ubuntu 12.04 has been dead for over
two years now. Does it really matter now?

--
真実はいつも一つ!/ Always, there's only one truth!

Not critical if this is intended change. Why we need this dependency?

Thanks.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >